logs.Register("Admin", true, Color(150, 0, 0))

logs.AddHook("ULXFancyLogAdmin", function(ply, msg, tbl)
	if IsValid(ply) then
		local name = ply:Name()
		if tbl then
			local tbl1 = tbl[1]
			local tbl2 = tbl[2]
			if tbl1 == name then
				table.remove(tbl, 1)
				table.insert(tbl, 1, ply:NameID())
			elseif tbl1 == "(SILENT) " and tbl2 == name then
				table.remove(tbl, 2)
				table.insert(tbl, 2, ply:NameID())
			end
		end
		msg = table.concat(tbl)
		logs.Log("Admin", msg, {
			["Name"] = name,
			["SteamID"]	= ply:SteamID()
		})
	else
		logs.Log("Admin", msg)
	end
end)